<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>



<hr/>



<?php
require('loginsub.php');
?>


<center>
<h3 class="maketitle">GeoThms - Search by Name</h3>
</center>

<hr/>

<?php
$vSearchName = $_POST['searchname'];

$vSearchName = '%'.$vSearchName.'%';


// cria uma pesquisa
$sqlThm = "SELECT teoId,teoName
             FROM theorems
            WHERE teoName LIKE '$vSearchName'";

$resultadoThm = mysql_query($sqlThm,$ligacao);

# o número de resultados obtidos
$nThm = mysql_num_rows($resultadoThm);

if ($nThm==0) { // pesquisa mal sucedida
  echo "<h2>No results found</h2>";
  echo "<meta http-equiv='refresh' content='2; url=searchByName.php' />";
 }
 else { // pesquisa bem sucedida, vai mostrar a lista dos teoremas encontrados
   print "<p>&nbsp;</p>";
   print "<center>";
   print "<table border=1>\n";
   print "<tr>\n";
   print "<th> GeoThm Id</th>\n";
   print "<th> Name</th>\n";
   print "<th> N. Figures</th>\n";
   print "<th> N. Proofs</th>\n";
   print "<th> &nbsp;</th>\n";
   print "</tr>\n\n";
   while ($linha = mysql_fetch_assoc($resultadoThm)){
     print "<tr>\n";
     $pTeoId=trim($linha['teoId']);
     $pTeoName=trim($linha['teoName']);
     print " <td align=center>$pTeoId</td>\n"; 
     print " <td>$pTeoName</td>\n";
     // Vai buscar a informação referente às figuras deste teorema
     $sqlFigure = "SELECT figureId
                     FROM figures
                    WHERE teoId='$pTeoId'";
     
     $resultadoFigure = mysql_query($sqlFigure,$ligacao);
     
     // o número de figuras do teorema
     $nFigures = mysql_num_rows($resultadoFigure);
     print " <td align='center'>$nFigures</td>\n";
     // Vai buscar a informação referente às demonstrações deste teorema
     $sqlProof = "SELECT demId
                    FROM demonstrations
                   WHERE teoId='$pTeoId'";

     $resultadoProof = mysql_query($sqlProof,$ligacao);
     
     // o número de demonstrações do teorema
     $nProofs = mysql_num_rows($resultadoProof);
     print " <td align='center'>$nProofs</td>\n";

     print " <td><a href=../Geothms/Forms/formGeoThm.php?argumento=$pTeoId>See details</a></td>\n";
     print"</tr>";
   }
   print "</table>\n";
   print "</center>";
   print "<p>&nbsp;</p>";
   
 }


?>

<hr/>

<?php
  require('footer.inc');
?>
